unit Compat;

// This unit is to make life easier working with Delphi 2.0 / 3.0 code

interface

uses SysUtils, Classes, Windows {, DB};

{$IFNDEF VER100}
// const
   // ftCursor = TFieldType(-1);

type
   TPixelFormat = (pfDevice, pf1bit, pf4bit, pf8bit, pf15bit, pf16bit, pf24bit, pf32bit, pfCustom);

   TThreadList = class(TList)
   protected
      CritSec     : TRTLCriticalSection;
   public
      constructor Create;
      destructor  Destroy; override;
      function    LockList: TList;
      procedure   UnlockList;
   end;

procedure Assert(b: boolean; s: string);
{$ENDIF}

implementation

{$IFNDEF VER100}
constructor TThreadList.Create;
begin
   inherited;
   InitializeCriticalSection(CritSec);
end;

destructor  TThreadList.Destroy;
begin
   DeleteCriticalSection(CritSec);
   inherited;
end;

function TThreadList.LockList: TList;
begin
   EnterCriticalSection(CritSec);
   Result := Self;
end;

procedure TThreadList.UnlockList;
begin
   LeaveCriticalSection(CritSec);
end;

procedure Assert(b: boolean; s: string);
begin
   if not b then raise Exception.Create(s);
end;
{$ENDIF}

end.
